Subject: Re: [PATCH net-next] vxlan: add support for flowlabel inherit

From: [email-masked]
Date: Sat, 07 Oct 2023 16:46:24 +0200

Le 2023-10-03 12:59, Ido Schimmel a écrit :
> Unless iproute2 is taught to probe for the new policy attribute, then
> when setting the flow label to a fixed value iproute2 shouldn't default
> to sending the new attribute as it will be rejected by old kernels.
> Instead, the kernel can be taught that the presence of IFLA_VXLAN_LABEL
> implies the default policy.

I have sent an updated version of the patch. It follows your proposition 
of using an enum to define the behavior of the flow label field. The 
kernel does not switch back the behavior to the default value when 
sending IFLA_VXLAN_LABEL attribute as we checked that older kernels do 
not reject the netlink message when it contains both IFLA_VXLAN_LABEL 
and IFLA_VXLAN_LABEL_BEHAVIOR, but we can change that if needed. Also, 
"ip link set" works and the behavior and label can be changed on an 
existing device.